Page MenuHomePhabricator

LiquidThreads has no support for RTL
Closed, ResolvedPublic

Description

No support for RTL environments in LiquidThreads.


Version: unspecified
Severity: major

Details

Reference
bz20934

Event Timeline

bzimport raised the priority of this task from to High.Nov 21 2014, 10:57 PM
bzimport set Reference to bz20934.
  • Bug 20909 has been marked as a duplicate of this bug. ***

These bugs block full-scale roll-out of LiquidThreads (batch-change).

Jorm added a comment.Sep 10 2010, 1:42 AM

I need to take this for now so that I can plan designs for it.

Is there anything i can do to help? I'm not much of a MediaWiki developer, but maybe i can help testing. The demand for this to work in Hebrew is growing.

TheDJ added a comment.Jan 9 2011, 5:15 PM

Largely fixed by r79905. Needs some cleanup with regard to direction of reply image perhaps and some other smaller details.

TheDJ added a comment.Jan 11 2011, 8:39 PM

r80030 fixes the thread collapse arrow

Thanks a lot.

Is it possible to test these fixes in some full-fledged RTL wiki?

In theory you can test it here: http://prototype.wikimedia.org/ar.wikipedia.org/نقاش:الصفحة_الرئيسية

But the prototype seems out of date and broken atm.

(In reply to comment #8)

In theory you can test it here:
http://prototype.wikimedia.org/ar.wikipedia.org/نقاش:الصفحة_الرئيسية
But the prototype seems out of date and broken atm.

The prototype runs the 1.17 branch, and your fixes haven't been merged into it yet.

Setting to high/major, as RTL support in MediaWiki is considered very important, and a priority extension not supporting it, is bad.

Giving to Alolita so she can find an appropriate developer to work on this.